Skip to main content
`Ctrl`+`K`

# PFView

Prints information about a mathematical function

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFView(PF pf, PetscViewer viewer)

Collective unless `viewer` is `PETSC_VIEWER_STDOUT_SELF`

## Input Parameters

- pf - the `PF` context

- viewer - optional visualization context

## Note

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization contexts with `PetscViewerASCIIOpen()` (output to a specified file).

## See Also

`PF`, `PetscViewerCreate()`, `PetscViewerASCIIOpen()`

## Level

developer

## Location

src/vec/pf/interface/pf.c

## Implementations

PFView_Constant() in src/vec/pf/impls/constant/const.c
PFView_Identity() in src/vec/pf/impls/constant/const.c
PFView_Matlab() in src/vec/pf/impls/matlab/cmatlab.c
PFView_String() in src/vec/pf/impls/string/cstring.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages